<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        //
        Schema::table("projects", function (Blueprint $table) {
            $table->json("district")->nullable()->comment("專案項目地區");
            $table->string("offical_link")->nullable()->comment("專案項目聯絡官網");
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        //
        Schema::table("projects", function (Blueprint $table) {
            $table->dropColumn("district");
            $table->dropColumn("offical_link");
        });
    }
};
